<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/newsFragment">

    <fragment
        android:id="@+id/newsFragment"
        android:name="com.sambath.kunkhmer.screen.news.NewsFragment"
        android:label="NewsFragment" >
        <action
            android:id="@+id/action_newsFragment_to_topNewsDetailFragment"
            app:destination="@id/topNewsDetailFragment" />
    </fragment>

    <fragment
        android:id="@+id/topNewsDetailFragment"
        android:name="com.sambath.kunkhmer.screen.news.TopNewsDetailFragment"
        android:label="TopNewsDetailFragment" >
        <argument
            android:name="newsItem"
            app:argType="com.sambath.kunkhmer.remote.News" />
    </fragment>
</navigation>
